
TYPO3.Fluid - Bug # 35041

Status: Resolved Priority: Should have
Author: Andreas Wolf Category: ViewHelpers
Created: 2012-03-20 Assigned To: Karsten Dambekalns
Updated: 2012-05-26 Due date:
Has patch: No
Affected Flow version: Git master
Subject: TranslateViewHelper returns empty string if id is missing and view helper tag is empty
Description

With an empty view helper tag (<f:translate id="some.message.id" />) and a missing id, the view helper just returns nothing instead of
displaying the id. From what is specified for the i18n API, I would expect to get the ID.

Associated revisions
Revision cd86a2dd - 2012-05-25 15:06 - Karsten Dambekalns

[BUGFIX] Avoid empty output of TranslateViewHelper

If translation by ID is used but no translation is found, the ID will now be
returned if the view helper tag has no content. Before this change it would
just return nothing (printable, at least).

Change-Id: I8c0331e60c8ecc08eb2323f6cc3c54d178b90f0c
Fixes: #35041
Releases: 1.1, 1.2

Revision 68e3bad5 - 2012-05-25 21:56 - Karsten Dambekalns

[BUGFIX] Avoid empty output of TranslateViewHelper

If translation by ID is used but no translation is found, the ID will now be
returned if the view helper tag has no content. Before this change it would
just return nothing (printable, at least).

Change-Id: I8c0331e60c8ecc08eb2323f6cc3c54d178b90f0c
Fixes: #35041
Releases: 1.1, 1.2

History
#1 - 2012-03-20 15:23 - Andreas Wolf
- File 35041.diff added

#2 - 2012-03-26 21:42 - Karsten Dambekalns
- Category set to ViewHelpers
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#3 - 2012-05-25 15:03 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11613

#4 - 2012-05-25 15:04 - Karsten Dambekalns
- Target version set to 1.1 beta 2

#5 - 2012-05-25 15:06 - Gerrit Code Review

Patch set 2 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11613

#6 - 2012-05-25 21:56 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11627

#7 - 2012-05-26 15:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:68e3bad56dfc67911d8c968f792b90bc8d55579f.
